=== debian/changelog ===
loki-demos (1.0f-1) unstable; urgency=low

  * Initial release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 16 Jan 2026 09:49:34 +0100
