=== debian/control ===
Source: loki-demos
Section: contrib/games
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13), libsdl3-dev, libsdl3-image-dev, libsdl3-mixer-dev, libgtk-4-dev
Standards-Version: 4.7.3
Homepage: https://github.com/twolife/loki_demos

Package: loki-demos
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, loki-update:i386
Description: Loki Demo Launcher
 Loki Software offered a free Linux app for download that showed
 demos of several of their game titles for sale.
