=== debian/rules ===
#!/usr/bin/make -f

export DPKG_EXPORT_BUILDFLAGS = 1
export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Ddemo_config -- GTK=4

override_dh_auto_install:

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -Ddemo_config -- GTK=4

execute_after_dh_install:
	mv debian/loki-demos/usr/libexec/demo_config debian/loki-demos/usr/libexec/loki_demo_config
	mv debian/loki-demos/usr/share/pixmaps/icon.xpm debian/loki-demos/usr/share/pixmaps/loki_demos.xpm
