=== debian/watch ===
Version: 5

Mode: git
Pgpmode: none
Source: https://github.com/twolife/loki_demos.git
Matching-Pattern: HEAD
Git-Pretty: 1.0f+%cd
